package com.biganto.visual.roompark.data.data_provider

import com.biganto.visual.roompark.data.repository.db.IDb
import com.biganto.visual.roompark.data.repository.file.FileModule
import com.biganto.visual.roompark.domain.contract.TourContract
import com.biganto.visual.roompark.domain.model.AuthInfoModel
import io.reactivex.Completable
import io.reactivex.Observable
import timber.log.Timber
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */

//@Singleton
class ToursRepository @Inject constructor(
    private val files: FileModule,
    private val db:IDb
): TourContract {


    override fun getMultiTourId(building: Int, number: Int): Observable<AuthInfoModel> {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun getOffer(offerId: Int): Observable<AuthInfoModel> {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }


    override fun deleteToursDbInfo(): Completable =
        Completable.merge(arrayListOf(
        db.dropTourFileJuncTable(),
        db.dropFileTable(),
        db.dropTourTable()
    ))
        .doOnComplete { Timber.w("Completed --") }
        .doOnError { Timber.e(it) }

}

