package com.biganto.visual.roompark.data.repository.db.requrey.model

import io.requery.*

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */


@Entity
interface Subscription : Persistable {
    @get:Key
    @get:Generated
    val id: Int
    @get:ForeignKey(references = User::class, referencedColumn = "uuid")
    @get:ManyToOne
    val owner: User
    val topic: String

    @get:Nullable
    val number: String?  //estateId or smth same, depends on subscription case
    val state: Boolean
}