package com.biganto.visual.roompark.data.repository.db.requrey.utils;


import com.biganto.visual.roompark.data.repository.db.requrey.RevisionString;

import io.requery.Converter;

/**
 * Created by Vladislav Bogdashkin on 04.07.2018.
 */


public class RevisionStringConverter implements Converter<RevisionString, String> {

    @SuppressWarnings("unchecked")
    @Override
    public Class<RevisionString> getMappedType() {
        return RevisionString.class;
    }

    @Override
    public Class<String> getPersistedType() {
        return String.class;
    }

    @Override
    public Integer getPersistedSize() {
        return null;
    }

    @Override
    public String convertToPersisted(RevisionString value) {
        return value == null ? null : value.revisionUri();
    }

    @Override
    public RevisionString convertToMapped(Class<? extends RevisionString> type,
                                              String value) {

        return value == null ? null : new RevisionString(value);
    }
}