package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.data.repository.db.requrey.model.UserEntity
import com.biganto.visual.roompark.domain.model.AuthInfoModel
import io.reactivex.Completable
import io.reactivex.Observable


/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */
interface AuthContract {
    fun signIn(email:String,password:String) : Observable<AuthInfoModel>
    fun signOut() : Completable
    fun validateAuthState(): Observable<Boolean>
    fun     currentUser(): Observable<UserEntity>
}