package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.AuthInfoModel
import io.reactivex.Completable
import io.reactivex.Observable


/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */
interface TourContract {
    fun getMultiTourId(building:Int, number:Int) : Observable<AuthInfoModel>
    fun getOffer(offerId:Int) : Observable<AuthInfoModel>
    fun deleteToursDbInfo(): Completable
}