package com.biganto.visual.roompark.player.unity_utils;

/**
 * Created by Vladislav Bogdashkin on 28.08.2018.
 */
public enum  UnityOrientation {
    Unknown (0),
    //     Portrait orientation.
    Portrait (1),
    //     Portrait orientation, upside down.
    PortraitUpsideDown (2),
    //     Landscape orientation, counter-clockwise from the portrait orientation.
    LandscapeLeft (3),
    LandscapeRight (4),
    //     Auto-rotates the screen as necessary toward any of the enabled orientations.
    AutoRotation (5);

    int id;

    private UnityOrientation(int i){id = i;}

    public int GetID(){return id;}
    public boolean IsEmpty(){return this.equals(UnityOrientation.Unknown);}
    public boolean Compare(int i){return id == i;}
    public static UnityOrientation GetValue(int _id)
    {
        UnityOrientation[] As = UnityOrientation.values();
        for (UnityOrientation A : As) {
            if (A.Compare(_id))
                return A;
        }
        return UnityOrientation.Unknown;
    }
}
