package com.biganto.visual.roompark.player.unity_utils;

import com.google.gson.annotations.SerializedName;

public enum UnityPlayerViewState{
    @SerializedName("0")
    NotInitialized(0),
    @SerializedName("1")
    PreLoading(1),
    @SerializedName("2")
    Ready(2),
    @SerializedName("3")
    Error(3);


    private final int value;
    public int getValue() {
        return value;
    }

    private UnityPlayerViewState(int value) {
        this.value = value;
    }
}
