package com.biganto.visual.roompark.presentation.screen.to_flat

import com.biganto.visual.roompark.conductor.BigantoBaseContract
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

interface FindFlatScreen : BigantoBaseContract<FindFlatScreenViewState> {
    fun getFlat() : Observable<FlatRequestModel>
    fun openFlat() : Observable<FlatRequestModel>
}

data class FlatRequestModel(val building:Int,val number:Int)