package com.biganto.visual.roompark.data.repository.db.requrey.model

import com.biganto.visual.roompark.data.repository.db.requrey.RevisionString
import com.biganto.visual.roompark.data.repository.db.requrey.utils.RevisionStringConverter
import io.requery.*

/**
 * Created by Vladislav Bogdashkin on 15.06.2018.
 */

@Entity
interface TourFileJunction :Persistable {
       @get:Key
       @get:Generated
       val id: Int

//       @get:OneToOne( cascade = [CascadeAction.NONE])
//       val tour: TourPreview
       //+@get:ForeignKey(delete = ReferentialAction.NO_ACTION, update = ReferentialAction.NO_ACTION, references = TourPreviewEntity::class)
       val tour: String

//       @get:OneToOne( cascade = [CascadeAction.NONE])
//       val file: File
      //@get:ForeignKey(delete = ReferentialAction.NO_ACTION, update = ReferentialAction.NO_ACTION, references = FileEntity::class)
       @get:Convert(RevisionStringConverter::class)
       val file: RevisionString
}


