package com.biganto.visual.roompark.presentation.screen.albums

import com.biganto.visual.roompark.conductor.BigantoBaseContract
import com.biganto.visual.roompark.domain.model.AlbumPreviewModel
import com.biganto.visual.roompark.domain.model.PhotoModel
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

interface AlbumsScreen : BigantoBaseContract<AlbumsScreenViewState> {
    fun onAlbumSelected(): Observable<AlbumPreviewModel>
    fun onPhotoSelected(): Observable<PhotoModel>
    fun onSubscription(): Observable<Boolean>
}