package com.biganto.visual.roompark.presentation.screen.settings

import com.biganto.visual.roompark.conductor.BigantoBaseContract
import com.biganto.visual.roompark.domain.model.SubscriptionModel
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

interface SettingsScreen : BigantoBaseContract<SettingsScreenViewState> {
    fun signOut(): Observable<Int>
    fun clearCache(): Observable<Int>
    fun refreshCacheInfo(): Observable<Int>
    fun onSubscription(): Observable<SubscriptionModel>
}

